// Licensed Materials - Property of IBM
// (C) Copyright IBM Corp. 2001, 2004.  All Rights Reserved.
//
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

#include "StdAfx.h"
#include "_CallbackJNI.h"

JNIEXPORT void JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_SetDone(
    JNIEnv* env, jclass,
    jlong , jboolean )
{
    CHRTV(E_FAIL);
}

JNIEXPORT void JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_SetProjectOpened(
    JNIEnv* env, jclass,
    jlong , jboolean )
{
    CHRTV(E_FAIL);
}

JNIEXPORT void JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_SetReturnInformation(
    JNIEnv* env, jclass,
    jlong , jboolean , jobject , jstring )
{
    CHRTV(E_FAIL);
}

JNIEXPORT void JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_SetErrorInformation(
    JNIEnv* env, jclass,
    jlong , jstring )
{
    CHRTV(E_FAIL);
}

JNIEXPORT jboolean JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_IsDone(
    JNIEnv* env, jclass,
    jlong native_this)
{
    IDispatch* this_intf = (IDispatch*)native_this;
    DISPPARAMS dispparamsNoArgs = {NULL, NULL, 0, 0};
    VARIANT return_value;
    ::VariantInit(&return_value);
    CHRT(this_intf->Invoke(0x60030004, IID_NULL,
        LOCALE_SYSTEM_DEFAULT, DISPATCH_METHOD,
        &dispparamsNoArgs, &return_value, NULL, NULL));
    if (V_VT(&return_value) != VT_BOOL) {
        CHRT(E_FAIL);
    }
    return JBOOLEAN_FROM_VARIANT_BOOL(V_BOOL(&return_value));
}

JNIEXPORT jboolean JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_HasSuccess(
    JNIEnv* env, jclass,
    jlong )
{
    CHRT(E_FAIL);
    return 0;
}

JNIEXPORT jobject JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_GetObject(
    JNIEnv* env, jclass,
    jlong )
{
    CHRT(E_FAIL);
    return 0;
}

JNIEXPORT jstring JNICALL Java_com_ibm_xtools_reqpro_RqCallback__1CallbackJNI_GetError(
    JNIEnv* env, jclass,
    jlong )
{
    CHRT(E_FAIL);
    return 0;
}

